package $package;

import org.junit.Before;
import org.junit.Test;
import org.ow2.weblab.core.services.InvalidParameterException;

/**
 * Template for WebLab service test which uses QueueManager interface
 * 
 * @author WebLab Team
 */
public class $classNameTest {


	/**
	 * Instance of service which implement a QueueManager
	 */
	private $className queueManager;


	/**
	 * Initialisation before tests
	 */
	@Before
	public void init() {
		this.queueManager = new $className();
	}


	/**
	 * Exception tests
	 */
	@Test(expected = InvalidParameterException.class)
	public void testNullNextResourceArgs() throws Exception {
		this.queueManager = new $className();
		this.queueManager.nextResource(null);
	}
}